#---
# Excerpted from "RubyMotion",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/carubym for more book information.
#---
class ButtonController < UIViewController
  def viewDidLoad
    super
    button = UIButton.buttonWithType(UIButtonTypeSystem)
    button.setTitle("Tap Me", forState:UIControlStateNormal)
    button.sizeToFit
    button_origin = [0, 100]
    button.frame = [button_origin, button.frame.size]
    button.addTarget(self,
      action:'tapped',
      forControlEvents:UIControlEventTouchUpInside)
    self.view.addSubview(button)

    @tapped = false
  end

  def tapped
    @tapped = true
    self.view.backgroundColor = UIColor.redColor
  end
end